﻿using System;
using System.Globalization;

namespace Petzold.Controls
{
    public class DayInfo
    {
        // 1 through 28, 29, 30, 31
        public int DayNumber { set; get; }

        public int Year { set; get; }
        public int Month { set; get; }

        public string DayOfWeek
        {
            get
            {
                return DateTimeFormatInfo.CurrentInfo.DayNames[(int)new DateTime(Year, Month, DayNumber).DayOfWeek];
            }
        }

        public override string ToString()
        {
            return String.Format("{0} {1}", DayNumber, DayOfWeek);
        }
    }
}
