﻿using System;
using System.Globalization;

namespace Petzold.Controls
{
    public class MonthInfo
    {
        // 1 through 12
        public int MonthNumber { set; get; }

        public string MonthName
        {
            get
            {
                return DateTimeFormatInfo.CurrentInfo.MonthNames[MonthNumber - 1];
            }
        }

        public override string ToString()
        {
            return MonthName;
        }
    }
}
